;

;	Sequence Data Format
; --------------------
;	fade_rate, hold_time, red, green, blue (all values in decimal)
;	values should be 0 <= value <= 255
;
;	End of current sequence
;	-----------------------
;	fade_rate = 255 tells code that this is then end of the current
;	sequence data.
;
;	End of all sequence data
;	------------------------
;	fade_rate and hold_time = 255 tells the code that this is the end
; 	of the current sequence data AND the end of all sequences.
;	
;	Fade Rate
;	---------
;	fade_rate = 0 --> no fade, new values update immediateley
;	fade_rate >0 and <255 fades from current to new values. 
;	The colours fade from the current value to the new value
;	in steps of 1 (i.e. 0 to 100 requires 100 steps)
;	each step takes ~5mS x Fade Rate.
;
;	max fade time with increments of 5mS x fade_rate. 
;	  1 x 5mS x 255 = 1.27 secs
;	  2 x 5mS x 255 = 2.50 secs
;	  3 x 5mS x 255 = 3.85 secs
;	  4 x 5mS x 255 = 5.10 secs
;	  5 x 5mS x 255 = 6.35 secs
;   6 x 5mS x 255 = 7.60 secs
;   ......
; 254 x 5mS x 255 = 3m23s 
;
;	Hold Time
;	---------
;	How long to hold the current RGB colours before getting
; 	the next set of RGB values.
; 	hold_time = 0 --> no hold, jump to next step in sequence
;	hold_time >0 and <255 hold for 50ms x hold_time
;	1   x 50mS = 50mS
;	254 x 50mS = 12.7 secs
;
;      |---------------------- Fade Rate
;      |    |----------------- Hold time     
;      |    |    |------------ Red
;      |    |    |    |------- Green
;      |    |    |    |    |-- Blue  
;      |    |    |    |    |

	dt   6,   0,  64,  64,  64
	dt   6,   0,   5,   5,   5
	dt 255		; end of sequence 01


	dt   4,   0, 128, 128, 128
	dt   6,   0,   5,   5,   5
	dt 255		; end of sequence 02


	dt   8,   0, 128, 128, 128
	dt   9,   0,   5,   5,   5
	dt 255		; end of sequence 03


	dt  10,   0, 128, 128, 128
	dt  10,   0,   5,   5,   5
	dt 255		; end of sequence 04


	dt  14,   0, 128, 128, 128
	dt  15,   0,   5,   5,   5
	dt 255		; end of sequence 05


	dt   3,   0, 128, 128, 128
	dt   3,   2,   0,   0,   0
	dt 255		; end of sequence 06


	dt   5,   0, 128, 128, 128
	dt   5,   2,   0,   0,   0
	dt 255		; end of sequence 07


	dt   2,   5, 255,   0,   0
	dt   1,   0,   0,   0,   0	
	dt   2,   5,   0, 255,   0	 
	dt   1,   0,   0,   0,   0	 
	dt   2,   5,   0,   0, 255
	dt   1,   0,   0,   0,   0
	dt 255		; end of sequence 08

	
	dt   2,   5, 255,   0,   0	;
	dt   1,   0,   0,   0,   0	
	dt   2,   5,   0, 255,   0	 
	dt   1,   0,   0,   0,   0	 
	dt   2,   5,   0,   0, 255
	dt   1,   0,   0,   0,   0
	dt 255		; end of sequence 09


;=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
; Marker - Sequence 10	
	dt   0,   5, 254, 254, 254 
	dt   0,  20,   0,   0,   0 	
	dt 255		                  ; end of sequence	
;=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=


	dt   2,   1, 255,   0,   0
	dt   2,   1,   0, 255,   0
	dt   2,   1,   0,   0, 255
	dt 255		; end of sequence 11
	
	dt   2,   1, 255,  64,   0
	dt   2,   1,  64,   0, 255
	dt   2,   1,   0, 255,  64
	dt 255		; end of sequence 12


	dt   0, 254, 255,   0,   0	; Red
	dt 255 		; end of sequence 13


	dt   0, 254,   0, 255,   0	; Green
	dt 255		; end of sequence 14


	dt   0, 254,   0,   0, 255	; Blue
	dt 255 		; end of sequence 15


	dt   0, 254, 240,   0, 240	; Purple
	dt 255 		; end of sequence 16


	dt   0, 254, 255, 155,   0	; Orange
	dt 255		; end of sequence 17


	dt   0, 254, 240, 240, 240	; White Bright
	dt 255 		; end of sequence 18


	dt   0, 254, 128, 128, 128	; White Half
	dt 255 		; end of sequence 19


;=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
; Marker - Sequence 20	
	dt   0,   5, 254, 254, 254 
	dt   0,   3,   0,   0,   0 
	dt   0,   5, 254, 254, 254  
	dt   0,  20,   0,   0,   0 	
	dt 255		                  ; end of sequence	
;=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=


	
	dt   0, 254,  48,  48,  58	; White Low
	dt 255 		; end of sequence 21

	
	dt   6,  10, 255,   0,   0	; Spectum fade
	dt   6,  10, 255, 255,   0
	dt   6,  10,   0, 255,   0
	dt   6,  10,   0, 255, 255
	dt   6,  10,   0,   0, 255
	dt   6,  10, 255,   0, 255
	dt 255	  ; end of sequence 22
	
	
	dt  25, 254, 255,   0,   0	; Spectum fade slow
	dt  25, 254, 255, 255,   0
	dt  25, 254,   0, 255,   0
	dt  25, 254,   0, 255, 255
	dt  25, 254,   0,   0, 255
	dt  25, 254, 255,   0, 255
	dt 255		; end of sequence 23
	
	
	dt   4,  10, 254,  32,   0	; warm 
	dt   4,  10, 254, 128,   0
	dt   4,  10, 254, 240,   0
	dt   4,  10, 128, 240,   0
	dt 255		; end of sequence 24
	
	
	dt   4,  10,   0,  16, 255	; cool
	dt   4,  10,   0, 128, 255
	dt   4,  10,   0, 240, 128
	dt   4,  10,   16, 16, 240
	dt   4,  10,  240, 16, 240
	dt   4,  10,   64,  0, 250
	dt 255		; end of sequence 25
		
	dt  10,   4, 240,   0, 240	; purple
	dt  10,   4,  32,   0, 240
	dt  10,   4, 128,   0, 128
	dt  10,   4, 240,   0,  32
	dt 255		 ; end of sequence 26

	dt   0,   1, 255,   0,   0  ; Cycle Red, Green, Blue. Cycle rate every 50mS
	dt   0,   1,   0, 255,   0
	dt   0,   1,   0,   0, 255
	dt 255		; end of sequence 27


	dt   0,   2, 255,   0,   0  ; Cycle Red, Green, Blue. Cycle rate every 100mS (1/10 second)
	dt   0,   2,   0, 255,   0
	dt   0,   2,   0,   0, 255
	dt 255		; end of sequence 28


	dt   0,   4, 255,   0,   0  ; Cycle Red, Green, Blue. Cycle rate every 200mS (1/5 second)
	dt   0,   4,   0, 255,   0
	dt   0,   4,   0,   0, 255
	dt 255		; end of sequence 29



;=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
; Marker - Sequence 30	
	dt   0,   5, 254, 254, 254 
	dt   0,   3,   0,   0,   0 
	dt   0,   5, 254, 254, 254
	dt   0,   3,   0,   0,   0   
	dt   0,   5, 254, 254, 254 	
	dt   0,  20,   0,   0,   0
	dt 255		                  ; end of sequence	
;=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=



	dt   0,   6, 255,   0,   0  ; Cycle Red, Green, Blue. Cycle rate every 300mS  
	dt   0,   6,   0, 255,   0
	dt   0,   6,   0,   0, 255
	dt 255		; end of sequence 31


	dt   0,   8, 255,   0,   0  ; Cycle Red, Green, Blue. Cycle rate every 400mS
	dt   0,   8,   0, 255,   0
	dt   0,   8,   0,   0, 255
	dt 255		; end of sequence 32


	dt   0,  10, 255,   0,   0  ; Cycle Red, Green, Blue. Cycle rate every 500mS (1/2 second)
	dt   0,  10,   0, 255,   0
	dt   0,  10,   0,   0, 255
	dt 255		; end of sequence 33


	dt   0,  20, 255,   0,   0  ; Cycle Red, Green, Blue. Cycle rate every 1000mS (1 second) 
	dt   0,  20,   0, 255,   0
	dt   0,  20,   0,   0, 255
	dt 255		; end of sequence 34
	

; Last three sequences indicate end-of-sequence marker for easy viewing
	dt   0,   5,  10,   0,   0		; dim red 
	dt   0,   5,   0,   0,   0		; off
	dt 255		; end of sequence	35 
	
	
	dt   0,   5,   0,  10,   0		; dim green 
	dt   0,   5,   0,   0,   0		; off
	dt 255		; end of sequence 36
	
			
	dt   0,   5,   0,   0,  10		; dim blue 
	dt   0,   5,   0,   0,   0		; off
	dt 255		; end of sequence 37

; End of Original Firmware Code


; New Sequences 2009-03-20

	dt 000, 002, 255, 000, 000	; Red to green wig-wag 100ms each color on
  dt 000, 002, 000, 255, 000 
	dt 255 		; end of sequence 38

	dt 000, 003, 255, 000, 000	; Red to green wig-wag 150ms each color on
  dt 000, 003, 000, 255, 000 
	dt 255 		; end of sequence 39



;=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
; Marker - Sequence 40	
	dt   0,   5, 254, 254, 254 
	dt   0,   3,   0,   0,   0 
	dt   0,   5, 254, 254, 254
	dt   0,   3,   0,   0,   0   
	dt   0,   5, 254, 254, 254 	
	dt   0,   3,   0,   0,   0 
	dt   0,   5, 254, 254, 254
	dt   0,  20,   0,   0,   0
	dt 255		                  ; end of sequence	
;=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=



	dt 000, 004, 255, 000, 000	; Red to green wig-wag 200ms each color on
  dt 000, 004, 000, 255, 000 
	dt 255 		; end of sequence 41


	dt 000, 002, 255, 000, 000	; Double flash red, pause, double flash green, pause and repeat (100ms on, 150ms off)
  dt 000, 003, 000, 000, 000
  dt 000, 002, 255, 000, 000
  dt 000, 003, 000, 000, 000
  dt 000, 002, 000, 255, 000 
  dt 000, 003, 000, 000, 000
  dt 000, 002, 000, 255, 000  
  dt 000, 003, 000, 000, 000    
	dt 255 		; end of sequence 42


	dt 000, 003, 255, 000, 000	; Double flash red, pause, double flash green, pause and repeat (150ms on, 200ms off)
  dt 000, 004, 000, 000, 000
  dt 000, 003, 255, 000, 000
  dt 000, 004, 000, 000, 000
  dt 000, 003, 000, 255, 000 
  dt 000, 004, 000, 000, 000
  dt 000, 003, 000, 255, 000  
  dt 000, 004, 000, 000, 000    
	dt 255 		; end of sequence 43



	dt 000, 002, 255, 000, 000	; Triple flash red, pause, triple flash green, pause and repeat (100ms on, 150ms off)
  dt 000, 003, 000, 000, 000
  dt 000, 002, 255, 000, 000
  dt 000, 003, 000, 000, 000
  dt 000, 002, 255, 000, 000
  dt 000, 003, 000, 000, 000
  dt 000, 002, 000, 255, 000 
  dt 000, 003, 000, 000, 000
  dt 000, 002, 000, 255, 000  
  dt 000, 003, 000, 000, 000
  dt 000, 002, 000, 255, 000 
  dt 000, 003, 000, 000, 000    
	dt 255 		; end of sequence 44

	dt 000, 003, 255, 000, 000	; Triple flash red, pause, triple flash green, pause and repeat (150ms on, 200ms off)
  dt 000, 004, 000, 000, 000
  dt 000, 003, 255, 000, 000
  dt 000, 004, 000, 000, 000
  dt 000, 003, 255, 000, 000
  dt 000, 004, 000, 000, 000
  dt 000, 003, 000, 255, 000 
  dt 000, 004, 000, 000, 000
  dt 000, 003, 000, 255, 000  
  dt 000, 004, 000, 000, 000
  dt 000, 003, 000, 255, 000 
  dt 000, 004, 000, 000, 000    
	dt 255 		; end of sequence 45


	dt 001, 001, 000, 000, 127	; Dark blue to purple throb 
	dt 001, 001, 064, 000, 096	;
	dt 255 		; end of sequence 46


	dt 002, 001, 064, 127, 127	; Light blue to purple, slow throb
	dt 002, 001, 064, 000, 127	;
	dt 255 		; end of sequence 47


	dt 002, 001, 127, 127, 127	; Pastel colors morphing 
	dt 002, 001, 127, 127, 000	;
	dt 002, 001, 127, 096, 000	;
	dt 002, 001, 127, 096, 127	;
	dt 002, 001, 127, 064, 127	;
	dt 002, 001, 127, 032, 000	;
	dt 002, 001, 127, 064, 000	;
	dt 002, 001, 127, 064, 127	;
	dt 002, 001, 127, 032, 127	;
	dt 002, 001, 127, 032, 000	;
	dt 002, 001, 127, 000, 000	;
	dt 002, 001, 127, 000, 127	;
	dt 255 		; end of sequence 48


	dt 001, 001, 000, 000, 255	; Full spectrum fade over 1.27 seconds per color, hold color for 50mS
	dt 001, 001, 000, 255, 255	;
	dt 001, 001, 000, 255, 000	;
	dt 001, 001, 255, 255, 000	;
	dt 001, 001, 255, 255, 255	;
	dt 001, 001, 255, 000, 255	;
	dt 001, 001, 255, 000, 000	;
	dt 255 		                  ; end of sequence 49



;=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
; Marker - Sequence 50	
	dt   0,   5, 254, 254, 254 
	dt   0,   3,   0,   0,   0 
	dt   0,   5, 254, 254, 254
	dt   0,   3,   0,   0,   0   
	dt   0,   5, 254, 254, 254 	
	dt   0,   3,   0,   0,   0 
	dt   0,   5, 254, 254, 254
	dt   0,   3,   0,   0,   0 
	dt   0,   5, 254, 254, 254
	dt   0,  20,   0,   0,   0
	dt 255		                  ; end of sequence	
;=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=



	dt 002, 001, 000, 000, 255	; Full spectrum fade over 2.50 seconds per color, hold color for 50mS
	dt 002, 001, 000, 255, 255	;
	dt 002, 001, 000, 255, 000	;
	dt 002, 001, 255, 255, 000	;
	dt 002, 001, 255, 255, 255	;
	dt 002, 001, 255, 000, 255	;
	dt 002, 001, 255, 000, 000	;
	dt 255 		                  ; end of sequence 51

	dt 004, 001, 000, 000, 255	; Full spectrum fade over 5.10 seconds per color, hold color for 50mS
	dt 004, 001, 000, 255, 255	;
	dt 004, 001, 000, 255, 000	;
	dt 004, 001, 255, 255, 000	;
	dt 004, 001, 255, 255, 255	;
	dt 004, 001, 255, 000, 255	;
	dt 004, 001, 255, 000, 000	;
	dt 255 		                  ; end of sequence 52

	dt 008, 001, 000, 000, 255	; Full spectrum fade over 10.2 seconds per color, hold color for 50mS
	dt 008, 001, 000, 255, 255	;
	dt 008, 001, 000, 255, 000	;
	dt 008, 001, 255, 255, 000	;
	dt 008, 001, 255, 255, 255	;
	dt 008, 001, 255, 000, 255	;
	dt 008, 001, 255, 000, 000	;
	dt 255 		                  ; end of sequence 53



	dt 001, 002, 000, 000, 255	; Full spectrum fade over 1.27 seconds per color, hold color for 100mS
	dt 001, 002, 000, 255, 255	;
	dt 001, 002, 000, 255, 000	;
	dt 001, 002, 255, 255, 000	;
	dt 001, 002, 255, 255, 255	;
	dt 001, 002, 255, 000, 255	;
	dt 001, 002, 255, 000, 000	;
	dt 255 		                  ; end of sequence 54


	dt 002, 002, 000, 000, 255	; Full spectrum fade over 2.50 seconds per color, hold color for 100mS
	dt 002, 002, 000, 255, 255	;
	dt 002, 002, 000, 255, 000	;
	dt 002, 002, 255, 255, 000	;
	dt 002, 002, 255, 255, 255	;
	dt 002, 002, 255, 000, 255	;
	dt 002, 002, 255, 000, 000	;
	dt 255 		                  ; end of sequence 55

	dt 004, 002, 000, 000, 255	; Full spectrum fade over 5.10 seconds per color, hold color for 100mS
	dt 004, 002, 000, 255, 255	;
	dt 004, 002, 000, 255, 000	;
	dt 004, 002, 255, 255, 000	;
	dt 004, 002, 255, 255, 255	;
	dt 004, 002, 255, 000, 255	;
	dt 004, 002, 255, 000, 000	;
	dt 255 		                  ; end of sequence 56

	dt 008, 002, 000, 000, 255	; Full spectrum fade over 10.2 seconds per color, hold color for 100mS
	dt 008, 002, 000, 255, 255	;
	dt 008, 002, 000, 255, 000	;
	dt 008, 002, 255, 255, 000	;
	dt 008, 002, 255, 255, 255	;
	dt 008, 002, 255, 000, 255	;
	dt 008, 002, 255, 000, 000	;
	dt 255 		                  ; end of sequence 57
	
	
	dt 002, 002, 204, 000, 255	; Purple morph in and back out
	dt 002, 002, 032, 000, 064	;
	dt 255 		                  ; end of sequence	58

	
	dt 002, 002, 204, 255, 000	; Lime-green morph in and back out
	dt 002, 002, 032, 064, 000	;
	dt 255 		                  ; end of sequence 59


	dt 002, 002, 255, 155, 000	; Orange morph in and back out
	dt 002, 002, 064, 032, 000	;
	dt 255 		                  ; end of sequence 60

; This sequence generates three flashes of Green LEDs to indicate version 3 of firmware	
	dt   0,   5, 000, 254, 000		; green 
	dt   0,   3,   0,   0,   0		; off
	dt   0,   5, 000, 254, 000		; green 
	dt   0,   3,   0,   0,   0		; off
	dt   0,   5, 000, 254, 000		; green 
	dt   0,  20,   0,   0,   0		; off	
	dt 255		; end of sequence	60



	dt 255		; end of all data


